mia-2ddistance
Prev | Analysis, filtering, combining, and segmentation of 2D images | Next

### mia-2ddistance

#### Sysnopis:

`mia-2ddistance` {-i `io`} {-d `io`} {-o `string`} [ `options` ...]

#### Description:

This program evaluate the average or maximum distance of a mask given by a binary image to an image representing a distance map and prints the result to stdout. The distance map can be obtained by running the filter 'diatance' on a binary image.

#### Options:

-i, --in-file=(input, required); io

  input image. For supported file types see Plugin type: 2dimage/io

-d, --distance-file=(input, required); io

  distance field image (floating point). For supported file types see Plugin type: 2dimage/io

-o, --out-file=(output, required); string

  output file, '-': write to stdout

-s, --scale=1; float

  distance scaling factor

-m, --method=avg; dict

  distance measuring method

  avg: | use average
  max: | use maximum
  raw: | collect raw values as vector

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the maximum distance of mask m.v by using the distance field distance.v and scale by factor 2.0. The result is written to stdout

    mia-2ddistance -i m.v -d distance.v -s 2.0 -m max

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dbinarycombine | Home | mia-2dfuzzysegment